From a6dd3bf6fbd57289dee1a73bc8b24b3de33374b6 Mon Sep 17 00:00:00 2001
From: Maximilian Downey Twiss <creatorsmithmdt@gmail.com>
Date: Fri, 18 Nov 2022 14:38:01 +1100
Subject: [PATCH 34/56] java: Replace flag_excess_precision_cmdline with
 flag_excess_precision.

gcc/java/ChangeLog:

	* lang.cc (java_post_options): Replace flag_excess_precision_cmdline with flag_excess_precision.
---
 gcc/java/lang.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gcc/java/lang.cc b/gcc/java/lang.cc
index 742a772bae1..f79c89ab418 100644
--- a/gcc/java/lang.cc
+++ b/gcc/java/lang.cc
@@ -570,9 +570,9 @@ java_post_options (const char **pfilename)
 
   /* Excess precision other than "fast" requires front-end
      support.  */
-  if (flag_excess_precision_cmdline == EXCESS_PRECISION_STANDARD)
+  if (flag_excess_precision == EXCESS_PRECISION_STANDARD)
     sorry ("%<-fexcess-precision=standard%> for Java");
-  flag_excess_precision_cmdline = EXCESS_PRECISION_FAST;
+  flag_excess_precision = EXCESS_PRECISION_FAST;
 
   /* An absolute requirement: if we're not using indirect dispatch, we
      must always verify everything.  */
-- 
2.38.1

